Package org.apache.commons.lang3.text

## Interface FormatFactory

    @Deprecated
    public interface FormatFactory

Deprecated.
as of 3.6, use commons-text FormatFactory instead
Format factory.

Since:
  2.4

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.text.Format` `getFormat​(java.lang.String name, java.lang.String arguments, java.util.Locale locale)` Deprecated. Create or retrieve a format instance.

### Method Detail

#### getFormat

    java.text.Format getFormat​(java.lang.String name,
                               java.lang.String arguments,
                               java.util.Locale locale)

Deprecated.
Create or retrieve a format instance.

Parameters:
  `name` - The format type name
  `arguments` - Arguments used to create the format instance. This allows the `FormatFactory` to implement the "format style" concept from `java.text.MessageFormat`.
  `locale` - The locale, may be null
Returns:
  The format instance